org.apache.ignite.internal.pagemem.wal.record

## Class MarshalledRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.MarshalledRecord

    public class MarshalledRecord
    extends WALRecord

Special type of WAL record. Shouldn't be stored in file. Contains complete binary representation of record in `buf` and record position in `WALRecord.pos`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`MarshalledRecord(WALRecord.RecordType type, WALPointer pos, ByteBuffer buf)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `buffer()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, rollOver, size, size, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MarshalledRecord

    public MarshalledRecord(WALRecord.RecordType type,
                            WALPointer pos,
                            ByteBuffer buf)

Parameters:
  `type` - Type of marshalled record.
  `pos` - WAL pointer to record.
  `buf` - Reusable buffer with record data.

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### buffer

    public ByteBuffer buffer()

Returns:
  Buffer with marshalled record bytes. Due to performance reasons accessible only by thread that performs WAL iteration and until next record is read.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018